%% Lagrange Interpolationpolynome

% Vers. 1.4; 03.2013 (12.1999)
% Copyright W.Schweizer
% Simulation physikalischer Systeme - Computational Physics mit MATLAB 
% 2016

Or=input('Anzahl der Knoten  ')
Or = Or-1;
Intervall = [0,1];   % Intervall vorgeben
dx = (Intervall(2)-Intervall(1))/Or;
lauf = 0:Or;
A = zeros(Or+1);
for n = lauf
    A(n+1,:)=(Intervall(1)+n*dx).^lauf;
end
C = eye(Or+1)/A;
%% Polynomordnung
C = flipud(C);   % Spaltenweise